"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_announcement_list_model = require("./model.js");
const ME_announcement_list_method = require("./method.js");
const common_libraries_day = require("../../../common/libraries/day.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_uni_icons2 + _easycom_cc_scroll_loading2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      ME_announcement_list_method.method.getList();
    });
    common_vendor.onUnload(() => {
      ME_announcement_list_model.useModel.listData.value = [];
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(ME_announcement_list_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          return {
            a: common_vendor.t((i == null ? void 0 : i.title) || ""),
            b: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)(i == null ? void 0 : i.publish_at)),
            c: i == null ? void 0 : i.content,
            d: "2ef6a311-1-" + i0 + ",2ef6a311-0",
            e: `news_${index}`,
            f: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_announcement_list_method.method)) == null ? void 0 : _a2.toDetaile(i);
            }, `news_${index}`)
          };
        }),
        b: common_vendor.p({
          type: "right",
          size: "15"
        }),
        c: common_vendor.o((_c = common_vendor.unref(ME_announcement_list_method.method)) == null ? void 0 : _c.loadMore),
        d: common_vendor.p({
          meta: (_e = (_d = common_vendor.unref(ME_announcement_list_model.useModel)) == null ? void 0 : _d.metaData) == null ? void 0 : _e.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/announcement/list/index.vue"]]);
wx.createPage(MiniProgramPage);
